commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Mark Thomas <ma...@apache.org>
Subject Re: [pool] 1.6 proposal
Date Tue, 13 Dec 2011 15:38:58 GMT
On 13/12/2011 14:25, Ted Dunning wrote:
> Frankly, I think that the lack of generics in commons components drives
> away more users than having java 1.4 compatibility retains.

I disagree in this case.

A large proportion of the commons pool user base is from:
Apache Tomcat 5/6/7 -> Apache Commons DBCP -> Apache Commons Pool

The last time I checked around 25% of the Tomcat user base was using
Tomcat 5 (a guestimate based on downloads) and as much as I don't like
it, the Servlet 2.4 spec requires Java 1.4 support.

EOL has been announced for Tomcat 5 (in ~9 months from now) so this
requirement will be going away.

Mark

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@commons.apache.org
For additional commands, e-mail: dev-help@commons.apache.org


Mime
View raw message